Bug 903157 - gnome-terminal forks itself - this is not how it is supposed to work
gnome-terminal forks itself - this is not how it is supposed to work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 05:46 EST by Zdenek Kabelac
Modified: 2013-04-11 05:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 16:39:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-01-23 05:46:30 EST
Description of problem:

What is the purpose of 'auto-forking' gnome-terminal ??????????????
If I'd want to run gnome-terminal on background - I'd use '&' in bash.
There is even no visible option on  --help-all to STOP this forking.

So it's not just seriously broken in Unix world - but there is 
also no easy way to get back.

How decides this ? 

Is there a list of 'similar' 'cool' features - so I could post objections sooner then they land on my rawhide box ??

Version-Release number of selected component (if applicable):
gnome-terminal-3.7.1-1.fc19.x86_64

How reproducible:


Steps to Reproduce:
1. exec gnome-terminal   in  .xinitrc  
2. instead of running gnome-terminal in X
3. instead exit of Xsession happens
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2013-04-03 12:12:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Matthias Clasen 2013-04-08 16:39:10 EDT
It was an upstream decision to introduce a gnome-terminal-server process. You can talk to Christian Persch about it, I was not involved.
Comment 3 Zdenek Kabelac 2013-04-09 03:23:52 EDT
I just 'love' the 'upstream decision' from Gnome.

But if upstream decides wrong - maybe there should be an extension fix at least for Fedora package - so once the so called 'upstream' will see the problem it might be just pushed upstream ?
Comment 4 Matthias Clasen 2013-04-10 18:30:31 EDT
You've failed to show any problem here so far. What you describe is fairly standard behaviour of single-instance applications. 

Have you ever tried running firefox in a terminal, when it was already running ?
Comment 5 Zdenek Kabelac 2013-04-11 05:01:35 EDT
(In reply to comment #4)
> You've failed to show any problem here so far. What you describe is fairly
> standard behaviour of single-instance applications. 
> 
> Have you ever tried running firefox in a terminal, when it was already
> running ?

And have  you tried that ?

The first execution of firefox stays in terminal - unless you use  '&' - which is the way Unix works for decades.

I'm not objecting if you attach another instance of terminal to already running instance - i.e. ff opens next window if you have one already opened - but that is something completely different then my original bug.

Now the Gnome innovation comes in - and you not only get always implicit '&' - but you can't even disable this 'be a daemon' behavior with any switch - that is purely wrong....

And btw - when you've picked 'ff' - ever seen option like '-new-instance' ?

Anyway execution of  gnome-terminal in .xinitrc is now made impossible - and one can be just glad we still have xterm, konsole and other serious tools...

Note You need to log in before you can comment on or make changes to this bug.